members.dev
Organizations

Create Organization

Creates an Organization

POST
/v1/organizations

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/organizations" \  -H "Content-Type: application/json" \  -d '{    "name": "Acme Corp"  }'
{
  "id": "org_01KKSMB47VYGW97GFE67VGDK7M",
  "short_id": "XF42",
  "name": "Acme Corp",
  "description": "Main customer account",
  "is_default": true,
  "invoice_prefix": "INV",
  "currency": "USD",
  "timezone": "Etc/UTC",
  "locale": "en-US",
  "invoice_next_number": 1,
  "credit_note_prefix": "CN",
  "credit_note_next_number": 1,
  "created_at": null,
  "updated_at": null,
  "slug": "acme-corp",
  "portal": {
    "theme": {
      "color": "#155dfc",
      "color_scheme": "dark",
      "color_intensity": "low"
    },
    "can_create_members": true,
    "can_edit_members": true
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}